## prepair 0.7

=== CMakeLists.txt ===
# Copyright (c) 2009-2013,
# Ken Arroyo Ohori    g.a.k.arroyoohori@tudelft.nl
# Hugo Ledoux         h.ledoux@tudelft.nl
# Martijn Meijers     b.m.meijers@tudelft.nl
# All rights reserved.
# 
# This file is part of prepair: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Licensees holding a valid commercial license may use this file in
# accordance with the commercial license agreement provided with
# the software.
# 
# This file is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#

project( prepair )

cmake_minimum_required(VERSION 2.6.2)
if("${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" VERSION_GREATER 2.6)
  if("${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}.${CMAKE_PATCH_VERSION}" VERSION_GREATER 2.8.3)
    cmake_policy(VERSION 2.8.4)
  else()
    cmake_policy(VERSION 2.6)
  endif()
endif()

set( CMAKE_ALLOW_LOOSE_LOOP_CONSTRUCTS true )
 
if ( COMMAND cmake_policy )
  cmake_policy( SET CMP0003 NEW )  
endif()

# CGAL
find_package( CGAL QUIET COMPONENTS  )

if ( NOT CGAL_FOUND )
  message(SEND_ERROR "prepair requires the CGAL library")
  return()  
endif()

# include helper file
include( ${CGAL_USE_FILE} )

# Boost
find_package( Boost REQUIRED )

if ( NOT Boost_FOUND )
  message(SEND_ERROR "prepair requires the Boost library")
  return()  
endif()

# GDAL
find_package( GDAL )

if ( NOT GDAL_FOUND )
  message(SEND_ERROR "prepair requires the GDAL library")
endif()

include_directories( ${GDAL_INCLUDE_DIR} )

# Creating entries for target: prepair
# ############################

if ( AS_LIBRARY )
  add_library( prepair SHARED TriangleInfo.cpp PolygonRepair.cpp )
else()
  add_executable( prepair  TriangleInfo.cpp PolygonRepair.cpp prepair.cpp )
endif()

add_to_cached_list( CGAL_EXECUTABLE_TARGETS prepair )

# Link to CGAL and third-party libraries
target_link_libraries(prepair   ${CGAL_LIBRARIES} ${CGAL_3RD_PARTY_LIBRARIES} ${GDAL_LIBRARY})

=== debian/changelog ===
prepair (0.7-4build1) xenial; urgency=medium

  * Rebuild with the new gdal version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 23 Nov 2015 15:28:36 +0100

prepair (0.7-4) unstable; urgency=medium

  * Add build dependency on libcgal-qt5-dev for libCGAL_Qt5.so.
  * Add patch to support GDAL 2.0.
    (closes: #802497)

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 10 Nov 2015 11:53:07 +0100

prepair (0.7-3) unstable; urgency=medium

  * Add gbp.conf to use pristine-tar by default.
  * Update watch file to handle other tar extensions.
  * Update Vcs-Browser URL to use HTTPS.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 24 Aug 2015 23:27:06 +0200

prepair (0.7-2) unstable; urgency=medium

  * Set the date embedded in man pages to the changelog date for
    reproducible builds.
  * Update my email to @debian.org address.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 23 Apr 2015 23:19:38 +0200

prepair (0.7-1) unstable; urgency=medium

  * Initial release (Closes: #750725)

 -- Bas Couwenberg <sebastic@xs4all.nl>  Fri, 28 Nov 2014 18:39:25 +0100

=== debian/control ===
Source: prepair
Section: science
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Bas Couwenberg <sebastic@debian.org>
Build-Depends: debhelper (>= 9),
               cmake,
               libcgal-dev,
               libcgal-qt5-dev,
               libgdal-dev,
               docbook2x,
               docbook-xsl,
               docbook-xml,
               xsltproc
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/prepair.git/
Vcs-Git: git://anonscm.debian.org/pkg-grass/prepair.git
Homepage: https://github.com/tudelft3d/prepair

Package: prepair
Architecture: any
Depends: prepair-data,
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: pprepair
Description: polygon repair tool
 prepair permits you to easily repair "broken" GIS polygons, and that
 according to the international standards ISO 19107. In brief, given a
 polygon stored in WKT, it automatically repairs it and gives you back
 a valid WKT. Automated repair methods can be considered as interpreting
 ambiguous or ill-defined polygons and giving a coherent and clearly
 defined output. 

Package: prepair-data
Architecture: all
Depends: ${misc:Depends}
Description: polygon repair tool -- example data
 prepair permits you to easily repair "broken" GIS polygons, and that
 according to the international standards ISO 19107. In brief, given a
 polygon stored in WKT, it automatically repairs it and gives you back
 a valid WKT. Automated repair methods can be considered as interpreting
 ambiguous or ill-defined polygons and giving a coherent and clearly
 defined output. 
 .
 This package contains the architecture independent example data.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

BUILD_DATE=$(shell dpkg-parsechangelog | sed -ne 's/^Date: //p' | LC_ALL=C date -u "+%d %B %Y" -f -)

MANPAGES:=$(wildcard debian/man/*.*.xml)

%:
	dh $@

override_dh_clean:
	dh_clean debian/man/*.1

override_dh_auto_build:
	# Create man pages from DocBook XML
	for x in $(MANPAGES) ; do \
	  docbook2x-man --string-param header-3="$(BUILD_DATE)" $$x ; \
	  mv `basename $$x | sed 's/.xml$$//'` `dirname $$x` ; \
	done

	dh_auto_build

override_dh_compress:
	dh_compress -X.geojson

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
filenamemangle=s/(?:.*?)?(?:rel|v|prepair)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/prepair-$1.$2/ \
https://github.com/tudelft3d/prepair/releases \
(?:.*?/)?(?:rel|v|prepair)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## prepair 0.7+20160519-417f1bc

=== debian/changelog ===
prepair (0.7+20160519-417f1bc-1build1) artful; urgency=medium

  * Rebuild against new gdal ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Jul 2017 13:06:45 +0200

prepair (0.7+20160519-417f1bc-1) unstable; urgency=medium

  * New upstream git snapshot.
  * Bump Standards-Version to 4.0.0, no changes.
  * Add autopkgtest to test installability.
  * Use pkg-info.mk variables instead of dpkg-parsechangelog output.
  * Drop patches applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 01 Jul 2017 17:47:47 +0200

prepair (0.7-6) unstable; urgency=medium

  * Bump Standards-Version to 3.9.8, no changes.
  * Drop build dependency on libcgal-qt5-dev, not required since cgal (4.8-1).
  * Enable all hardening buildflags.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 13 May 2016 13:20:40 +0200

prepair (0.7-5) unstable; urgency=medium

  * Update Vcs-Git URL to use HTTPS.
  * Bump Standards-Version to 3.9.7, no changes.
  * Enable parallel builds.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 02 Mar 2016 20:55:26 +0100

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,14 @@
 Build-Depends: debhelper (>= 9),
                cmake,
                libcgal-dev,
-               libcgal-qt5-dev,
                libgdal-dev,
                docbook2x,
                docbook-xsl,
                docbook-xml,
                xsltproc
-Standards-Version: 3.9.6
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/prepair.git/
-Vcs-Git: git://anonscm.debian.org/pkg-grass/prepair.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/prepair.git
 Homepage: https://github.com/tudelft3d/prepair
 
 Package: prepair

## prepair 0.7.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (c) 2009-2013,
+# Copyright (c) 2009-2014,
 # Ken Arroyo Ohori    g.a.k.arroyoohori@tudelft.nl
 # Hugo Ledoux         h.ledoux@tudelft.nl
 # Martijn Meijers     b.m.meijers@tudelft.nl
@@ -47,12 +47,14 @@
 include( ${CGAL_USE_FILE} )
 
 # Boost
-find_package( Boost REQUIRED )
+find_package( Boost REQUIRED COMPONENTS program_options)
 
 if ( NOT Boost_FOUND )
   message(SEND_ERROR "prepair requires the Boost library")
   return()  
 endif()
+
+INCLUDE_DIRECTORIES( ${Boost_INCLUDE_DIR} )
 
 # GDAL
 find_package( GDAL )
@@ -63,16 +65,20 @@
 
 include_directories( ${GDAL_INCLUDE_DIR} )
 
+# Hardening buildflags
+set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} $ENV{CXXFLAGS}")
+set (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} $ENV{LDFLAGS}")
+
 # Creating entries for target: prepair
 # ############################
 
 if ( AS_LIBRARY )
   add_library( prepair SHARED TriangleInfo.cpp PolygonRepair.cpp )
 else()
-  add_executable( prepair  TriangleInfo.cpp PolygonRepair.cpp prepair.cpp )
+  add_executable( prepair TriangleInfo.cpp PolygonRepair.cpp prepair.cpp )
 endif()
 
 add_to_cached_list( CGAL_EXECUTABLE_TARGETS prepair )
 
 # Link to CGAL and third-party libraries
-target_link_libraries(prepair   ${CGAL_LIBRARIES} ${CGAL_3RD_PARTY_LIBRARIES} ${GDAL_LIBRARY})
+target_link_libraries(prepair   ${CGAL_LIBRARIES} ${CGAL_3RD_PARTY_LIBRARIES} ${GDAL_LIBRARY} ${Boost_LIBRARIES})

=== debian/changelog ===
prepair (0.7.1-3) unstable; urgency=medium

  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Aug 2018 16:18:30 +0200

prepair (0.7.1-2) unstable; urgency=medium

  * Bump Standards-Version to 4.1.5, no changes.
  * Strip trailing whitespace from control & rules files.
  * Update copyright-format URL to use HTTPS.
  * Update Vcs-* URLs for Salsa.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 21 Jul 2018 11:25:09 +0200

prepair (0.7.1-1) unstable; urgency=medium

  * New upstream release.
  * Fix filenamemangle in watch file.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 06 Sep 2017 23:16:40 +0200

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
                docbook-xsl,
                docbook-xml,
                xsltproc
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/prepair.git/
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/prepair.git
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/debian-gis-team/prepair/
+Vcs-Git: https://salsa.debian.org/debian-gis-team/prepair.git
 Homepage: https://github.com/tudelft3d/prepair
 
 Package: prepair
@@ -28,7 +28,7 @@
  polygon stored in WKT, it automatically repairs it and gives you back
  a valid WKT. Automated repair methods can be considered as interpreting
  ambiguous or ill-defined polygons and giving a coherent and clearly
- defined output. 
+ defined output.
 
 Package: prepair-data
 Architecture: all
@@ -39,7 +39,6 @@
  polygon stored in WKT, it automatically repairs it and gives you back
  a valid WKT. Automated repair methods can be considered as interpreting
  ambiguous or ill-defined polygons and giving a coherent and clearly
- defined output. 
+ defined output.
  .
  This package contains the architecture independent example data.
-

=== debian/rules ===
--- 
+++ 
@@ -2,12 +2,17 @@
 
 # DH_VERBOSE := 1
 
-BUILD_DATE=$(shell dpkg-parsechangelog | sed -ne 's/^Date: //p' | LC_ALL=C date -u "+%d %B %Y" -f -)
+# Enable hardening build flags
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+
+include /usr/share/dpkg/pkg-info.mk
+
+BUILD_DATE=$(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")
 
 MANPAGES:=$(wildcard debian/man/*.*.xml)
 
 %:
-	dh $@
+	dh $@ --parallel
 
 override_dh_clean:
 	dh_clean debian/man/*.1
@@ -23,4 +28,3 @@
 
 override_dh_compress:
 	dh_compress -X.geojson
-

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
filenamemangle=s/(?:.*?\/)?(?:rel|v|prepair)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/prepair-$1.$2/ \
https://github.com/tudelft3d/prepair/releases \
(?:.*?/)?(?:rel|v|prepair)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
